DraftGeomUtils Namespace Reference

Functions

def angleBisection (edge1, edge2)
 
def arcFromSpline (edge)
 
def areColinear (e1, e2)
 
def bind (w1, w2)
 
def calculatePlacement (shape)
 
def circlefrom1Line2Points (edge, p1, p2)
 
def circleFrom1tan1pt1rad (tan1, p1, rad)
 
def circleFrom1tan2pt (tan1, p1, p2)
 
def circlefrom2Lines1Point (edge1, edge2, point)
 
def circleFrom2LinesRadius (edge1, edge2, radius)
 
def circleFrom2PointsRadius (p1, p2, radius)
 
def circleFrom2tan1pt (tan1, tan2, point)
 
def circleFrom2tan1rad (tan1, tan2, rad)
 
def circleFrom3CircleTangents (circle1, circle2, circle3)
 
def circleFrom3LineTangents (edge1, edge2, edge3)
 
def circleFrom3tan (tan1, tan2, tan3)
 
def circleFromPointLineRadius (point, edge, radius)
 
def circleInversion (circle, circle2)
 
def cleanFaces (shape)
 
def cleanProjection (shape, tessellate=True, seglength=.05)
 
def concatenate (shape)
 
def connect (edges, closed=False)
 
def curvetosegment (curve, seglen)
 
def curvetowire (obj, steps)
 
def determinant (mat, n)
 
def edg (p1, p2)
 
def fillet (lEdges, r, chamfer=False)
 
def filletWire (aWire, r, chamfer=False)
 
def findClosest (basepoint, pointslist)
 
def findClosestCircle (point, circles)
 
def findDistance (point, edge, strict=False)
 
def findEdge (anEdge, aList)
 
def findHomotheticCenterOfCircles (circle1, circle2)
 
def findIntersection (edge1, edge2, infinite1=False, infinite2=False, ex1=False, ex2=False, dts=True, findAll=False)
 
def findMidpoint (edge)
 
def findPerpendicular (point, edgeslist, force=None)
 
def findRadicalAxis (circle1, circle2)
 
def findRadicalCenter (circle1, circle2, circle3)
 
def findWires (edgeslist)
 
def findWiresOld (edges)
 
def findWiresOld2 (edgeslist)
 
def flattenWire (wire)
 
def geomType (edge)
 
def getBoundary (shape)
 
def getBoundaryAngles (angle, alist)
 
def getCircleFromSpline (edge)
 
def getCubicDimensions (shape)
 
def getNormal (shape)
 
def getQuad (face)
 
def getRotation (v1, v2=FreeCAD.Vector(0, 0, 1))
 
def getTangent (edge, frompoint=None)
 
def getVerts (shape)
 
def hasCurves (shape)
 
def hasOnlyWires (shape)
 
def innerSoddyCircle (circle1, circle2, circle3)
 
def invert (edge)
 
def isAligned (edge, axis="x")
 
def isClockwise (edge, ref=None)
 
def isCoplanar (faces)
 
def isCubic (shape)
 
def isLine (bsp)
 
def isNull (something)
 
def isPlanar (shape)
 
def isPtOnEdge (pt, edge)
 
def isReallyClosed (wire)
 
def isSameLine (e1, e2)
 
def isValidPath (shape)
 
def isWideAngle (edge)
 
def linearFromPoints (p1, p2)
 
def mirror (point, edge)
 
def offset (edge, vector, trim=False)
 
def offsetWire (wire, dvec, bind=False, occ=False)
 
def orientEdge (edge, normal=None, make_arc=False)
 
def outerSoddyCircle (circle1, circle2, circle3)
 33 to include More...
 
def pocket2d (shape, offset)
 
def pointInversion (circle, point)
 
def polarInversion (circle, edge)
 
def precision ()
 
def rebaseWire (wire, vidx)
 
def removeInterVertices (wire)
 
def sortEdges (edges)
 
def sortEdgesOld (lEdges, aVertex=None)
 
def superWire (edgeslist, closed=False)
 
def tessellateProjection (shape, seglen)
 
def v1 (edge)
 
def vec (edge)
 
def wiresIntersect (wire1, wire2)
 

Variables

 NORM = Vector(0,0,1)
 
 params = FreeCAD.ParamGet("User parameter:BaseApp/Preferences/Mod/Draft")